<style>
    #content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    #container {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
    div#header {
        display: none;
    }
    h1 {
        font-size: 1.25rem !important;
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }
    ul.errorlist {
        background: none !important;
        font-style: italic;
    }
    ul.select-dropdown {
        background-color: #eee;
    }
    p {
        font-size: 1rem;
        margin: 0 !important;
    }
    .form-section {
        display: flex;
        background-color: silver;
        height: 3rem;
        justify-content: center;
        align-items: center;
        border-radius: 0.25rem;
        text-align: center;
        padding: 1rem;
        margin: 1rem 0 1rem 0;
    }
</style>

{% extends "admin/base_site.html" %}

{% load static %}
{% load i18n %}

{% block extrahead %}
    <link rel="shortcut icon" href="{% static 'images/favicon.ico' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/custom_admin.css' %}"/>
{% endblock %}

{% block content %}
    {% block side_nav %}
    {% endblock %}

    {% block breadcrumbs %}
    {% endblock %}

    <div style="display: flex; justify-content: center;">
        <img src="{% static 'images/dw-header.png' %}" height="60" alt="DW Akademie Logo" />
    </div>

    {% translate 'Register Account' as register %}
    {% translate 'Confirm the data with which you were registered' as confirm_msg %}
    {% translate 'These data were configured by the user administrator of the instance and cannot be edited' as disabled_fields_msg %}

    <form method="post">
        {% csrf_token %}
        <!-- {{ form.as_p }} -->

        <div class="form-section">
            <p>{{ confirm_msg }}</p>
        </div>
        <div>
            {{ form.full_name.label_tag }}
            {{ form.full_name }}
            {% if form.full_name.errors %}
                <ul class="errorlist">
                    {% for error in form.full_name.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.username.label_tag }}
            {{ form.username }}
            {% if form.username.errors %}
                <ul class="errorlist">
                    {% for error in form.username.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.email.label_tag }}
            {{ form.email }}
            {% if form.email.errors %}
                <ul class="errorlist">
                    {% for error in form.email.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.language.label_tag }}
            {{ form.language }}
            {% if form.language.errors %}
                <ul class="errorlist">
                    {% for error in form.email.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.new_password.label_tag }}
            {{ form.new_password }}
            {% if form.new_password.errors %}
                <ul class="errorlist">
                    {% for error in form.new_password.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
        <div>
            {{ form.new_password_confirmation.label_tag }}
            {{ form.new_password_confirmation }}
            {% if form.new_password_confirmation.errors %}
                <ul class="errorlist">
                    {% for error in form.new_password_confirmation.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>

        <div class="form-section">
            <p>{{ disabled_fields_msg }}</p>
        </div>
        <div>
            {{ form.assigned_group.label_tag }}
            {{ form.assigned_group }}
        </div>
        <div>
            {{ form.region.label_tag }}
            {{ form.region }}
        </div>

        <div style="margin-top: 1rem; font-size: 1.25rem;">
            <input style="width: 100%" type="submit" value="{{ register }}">
        </div>
    </form>
{% endblock %}